package unis

import (
	"dashboard/models"
	"dashboard/services/unis"
	"net/http"

	"github.com/gin-gonic/gin"
)

func StationConfig(c *gin.Context) error {
	var config models.StationConfigParams
	if err := c.ShouldBindJSON(&config); err != nil {
		return err
	}

	if err := unis.StationConfig(&config); err != nil {
		return err
	}

	c.JSON(http.StatusOK, gin.H{
		"code": 0,
		"msg":  "Server station config ok",
	})

	return nil
}
